/************PEANUTS*COLORS****************/
/*************************************/
html {
  scroll-behavior: smooth;
}

body {
  font-family: "Raleway", sans-serif;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  background-image: url("../images/geometry.png");
  color: #1f1f1f;
  /* Background pattern from Toptal Subtle Patterns */
}

h2 {
  font-family: "Cabin Sketch", cursive;
  text-align: center;
  text-transform: uppercase;
  font-size: 40px;
  margin-bottom: 50px;
}

section {
  padding-left: 18%;
  padding-right: 18%;
  padding-top: 100px;
  padding-bottom: 50px;
  min-height: 100vh;
}

@media (max-width: 650px) {
  section {
    padding-left: 4%;
    padding-right: 4%;
    padding-top: 40px;
    padding-bottom: 20px;
  }
}
/* BARRE DE NAVIGATION */
nav {
  z-index: 998;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  padding: 10px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  font-size: 20px;
  background: white;
}
nav.nav-scroll {
  box-shadow: 0 10px 10px -10px rgba(0, 0, 0, 0.2);
}
nav .logo {
  display: flex;
  align-items: center;
  font-family: "Cabin Sketch", cursive;
  text-decoration: none;
  font-weight: 700;
  color: #1f1f1f;
  font-size: 40px;
  text-transform: uppercase;
}
nav .logo p {
  margin: 0;
}
nav .logo img {
  width: 40px;
  margin: 8px;
}
nav #burger {
  cursor: pointer;
  display: none;
}
nav .navigation a {
  display: inline-block;
  position: relative;
  margin: 8px;
  padding: 6px 0;
  color: #1f1f1f;
  transition: all 0.5s;
  text-decoration: none;
}
nav .navigation a:after {
  margin: auto;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  width: 0%;
  height: 4px;
  content: "";
  background: yellow;
  transition: all 0.5s;
}
nav .navigation a:hover:after {
  width: 100%;
}

@media (max-width: 650px) {
  #acceuil {
    overflow-x: hidden;
    /* mobile ignore overflow-x hidden on body */
  }

  nav {
    position: static;
    display: block;
    padding: 0;
  }
  nav .logoBurger {
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  nav .logoBurger #burger {
    display: block;
    position: relative;
  }
  nav .logoBurger #burger .burgerIcon {
    position: absolute;
    bottom: -15px;
    right: 0;
    width: 28px;
    height: 28px;
  }
  nav .logoBurger #burger .burgerIcon #burger1 {
    width: 100%;
    height: 6px;
    border-top: 4px solid #1f1f1f;
    border-bottom: 4px solid #1f1f1f;
  }
  nav .logoBurger #burger .burgerIcon #burger2 {
    width: 100%;
    height: 6px;
    border-bottom: 4px solid #1f1f1f;
  }
  nav .logoBurger #burger:hover #burger1, nav .logoBurger #burger:hover #burger2 {
    border-color: #c40d0d;
  }
  nav .navigation {
    margin: 0;
    display: none;
  }
  nav .navigation a {
    display: block;
    padding: 10px;
    margin: 0;
    width: 100%;
    background: #ececec;
  }
  nav .navigation a:hover:after {
    width: 0;
  }
  nav .navigation a:hover {
    background-color: #d8d8d8;
  }
  nav .navigation.collapse {
    display: block;
  }
}
/* section acceuil */
#acceuil {
  height: 500px;
  min-height: 500px;
  position: relative;
  background-image: linear-gradient(to top, #c1dee7, #94c4d4);
}

#sleepy {
  /*image de snoopy*/
  position: absolute;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  bottom: 0;
}

#woodstFlying {
  /*image de woodstock*/
  width: 50px;
  position: absolute;
  right: 40%;
  bottom: 300px;
  animation: moving 5s ease-in-out, flying 2s ease-in-out infinite, flying-rotate 3s ease-in-out infinite;
}

@keyframes moving {
  0% {
    right: -50px;
  }
  100% {
    right: 40%;
  }
}
@keyframes flying {
  0% {
    bottom: 300px;
  }
  50% {
    bottom: 315px;
  }
  100% {
    bottom: 300px;
  }
}
@keyframes flying-rotate {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(6deg);
  }
  75% {
    transform: rotate(-4deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
.nuage {
  position: absolute;
  width: 100px;
  height: 40px;
  background: #ddf1f7;
  border-radius: 48%;
}
.nuage:before {
  margin: auto;
  position: absolute;
  bottom: 10px;
  left: 12px;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  content: "";
  background: #ddf1f7;
}
.nuage:after {
  margin: auto;
  position: absolute;
  bottom: 20px;
  right: 15px;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  content: "";
  background: #ddf1f7;
}

#nuage1 {
  top: 20%;
  left: -110px;
  animation: nuage 30s linear infinite;
}

#nuage2 {
  top: 20%;
  left: -110px;
  animation: nuage 30s linear infinite;
  animation-delay: 10s;
}

#nuage3 {
  width: 110px;
  top: 25%;
  left: -110px;
  animation: nuage 30s linear infinite;
  animation-delay: 20s;
}
#nuage3:after {
  width: 50px;
  height: 50px;
}
#nuage3:before {
  width: 50px;
  height: 50px;
}

@keyframes nuage {
  0% {
    left: -110px;
  }
  100% {
    left: 100%;
  }
}
/* section history */
#history h2 {
  color: #c40d0d;
}
#history p {
  line-height: 1.6;
}
#history .exemple img {
  display: block;
  max-width: 100%;
  padding: 10px;
  margin-left: auto;
  margin-right: auto;
}
#history .exemple figcaption {
  text-align: center;
}

/* section characters */
#characters h2 {
  color: #c40d0d;
}

.characters {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.characters .charac {
  position: relative;
  width: 120px;
  height: 120px;
  background-color: white;
  border: 4px solid #ececec;
  margin: 16px 8px;
  box-shadow: 0 10px 10px -10px rgba(0, 0, 0, 0.2);
  background-repeat: no-repeat;
  background-position: center bottom;
}
.characters .charac:hover {
  border-color: yellow;
  cursor: pointer;
}

#charlie {
  background-image: url("../images/characters/charlie-o.png");
}
#charlie:hover {
  background-image: url("../images/characters/charlie-r.png");
}

#snoopy {
  background-image: url("../images/characters/snoopy-o.png");
  background-position: center center;
}
#snoopy:hover {
  background-image: url("../images/characters/snoopy-r.png");
  background-position: center center;
}

#woodstock {
  background-image: url("../images/characters/woodstock-o.png");
  background-position: center center;
}
#woodstock:hover {
  background-image: url("../images/characters/woodstock-r.png");
  background-position: center center;
}

#lucy {
  background-image: url("../images/characters/lucy-o.png");
}
#lucy:hover {
  background-image: url("../images/characters/lucy-r.png");
}

#linus {
  background-image: url("../images/characters/linus-o.png");
}
#linus:hover {
  background-image: url("../images/characters/linus-r.png");
}

#sally {
  background-image: url("../images/characters/sally-o.png");
}
#sally:hover {
  background-image: url("../images/characters/sally-r.png");
}

#pigpen {
  background-image: url("../images/characters/pigpen-o.png");
}
#pigpen:hover {
  background-image: url("../images/characters/pigpen-r.png");
}

#schroeder {
  background-image: url("../images/characters/schroeder-o.png");
}
#schroeder:hover {
  background-image: url("../images/characters/schroeder-r.png");
}

#peppermint {
  background-image: url("../images/characters/peppermint-o.png");
}
#peppermint:hover {
  background-image: url("../images/characters/peppermint-r.png");
}

#franklin {
  background-image: url("../images/characters/franklin-o.png");
}
#franklin:hover {
  background-image: url("../images/characters/franklin-r.png");
}

#marcie {
  background-image: url("../images/characters/marcie-o.png");
}
#marcie:hover {
  background-image: url("../images/characters/marcie-r.png");
}

/* DETAILS PERSONNAGES */
#custom-fancybox {
  z-index: 999;
  background-color: rgba(211, 211, 211, 0.589);
  position: fixed;
  margin: 0;
  top: 0;
  min-width: 100%;
  min-height: 100%;
  display: none;
}
#custom-fancybox.active {
  display: flex;
  justify-content: center;
  align-items: center;
  animation: fadeIn 0.3s linear;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.characDetails {
  position: relative;
  border: 2px solid #c40d0d;
  background-color: white;
  width: 500px;
  max-height: 90vh;
  padding: 30px;
  display: none;
}
.characDetails h3 {
  font-family: "Cabin Sketch", cursive;
  font-size: 36px;
  font-weight: 400;
  margin: 0;
}
.characDetails h4 {
  color: #c40d0d;
  font-weight: 600;
  margin-top: 4px;
}
.characDetails p {
  line-height: 1.4;
}
.characDetails .detailImg {
  display: flex;
  align-items: flex-end;
}
.characDetails .detailImg img {
  width: 100%;
}
.characDetails .close {
  position: absolute;
  right: 2px;
  top: 2px;
  width: 30px;
  height: 30px;
  cursor: pointer;
}
.characDetails .close:before {
  position: absolute;
  top: 14px;
  left: 4px;
  width: 22px;
  transform: rotate(45deg);
  height: 3px;
  content: "";
  background: #1f1f1f;
}
.characDetails .close:after {
  position: absolute;
  top: 14px;
  right: 4px;
  width: 22px;
  transform: rotate(-45deg);
  height: 3px;
  content: "";
  background: #1f1f1f;
}
.characDetails .close:hover:before, .characDetails .close:hover:after {
  background: #c40d0d;
}
.characDetails.active {
  display: grid;
  grid-template-columns: 60% 40%;
  column-gap: 2px;
}

@media (max-width: 580px) {
  .characDetails {
    background-color: white;
    width: 100%;
    max-height: 100vh;
    padding: 8px;
  }
  .characDetails.active {
    display: block;
  }
  .characDetails.active img {
    max-width: 50%;
    margin-left: auto;
    margin-right: auto;
  }
}
/* section author */
#author {
  background-color: #ececec;
}
#author h2 {
  color: #1f1f1f;
}
#author .schutz {
  display: grid;
  grid-template-columns: 40% 60%;
  column-gap: 40px;
}
#author .schutz img {
  width: 100%;
  margin: 8px 0;
  box-shadow: 0 10px 10px -10px rgba(0, 0, 0, 0.7);
}
#author .schutz p {
  margin: 4px 0;
  line-height: 1.6;
}

@media (max-width: 650px) {
  #author .schutz {
    display: block;
    padding-right: 2%;
    padding-left: 2%;
  }
  #author .schutz p {
    padding-top: 10px;
  }
}
/* FOOTER */
#contact {
  min-height: 400px;
  background: #c1dee7;
}
#contact h2 {
  text-transform: none;
  font-weight: 400;
  font-size: 40px;
}

/* CONTACT FORM */
.contact {
  width: 400px;
  margin-right: auto;
  margin-left: auto;
}

@media (max-width: 460px) {
  .contact {
    width: 100%;
  }
}
input[type=text], input[type=email], textarea {
  border: 2px solid transparent;
  border-radius: 0;
  width: 100%;
  padding: 12px;
  box-sizing: border-box;
  /* Make sure that padding and width stays in place */
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}
input[type=text]:focus, input[type=email]:focus, textarea:focus {
  border: 2px solid yellow;
}

input[type=submit] {
  background-color: #1f1f1f;
  color: white;
  font-family: "Raleway", sans-serif;
  font-weight: 600;
  padding: 12px 20px;
  border: none;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: black;
}

/*# sourceMappingURL=style-prod.css.map */
